it-swarm-ja.com

Visual Studio2017でEnterpriseBot Templateを実行しようとすると、「Azure CLIをアップグレードする必要があります」というエラーが表示されますが、AzureCLIは最新です。

VS2017を使用してEnterpriseBot Templateを展開しようとしていますが、ReadMeファイルでmsbot clone servicesコードを実行すると次のエラーが発生しました。

C:\Users\xxx\Documents\Visual Studio 2017\Projects\SovereignBot\SovereignBot>msbot clone services --name "SovereignBot" --luisAuthoringKey "2c92b0812f6b47cfa5d4da293f2bbaa3" --folder "DeploymentScripts\en" --location "westus"

Msbot 4.3.2以降では、AZCLIの前提条件はAZCLIバージョンが2.0.53以上であることだけです。 botservice拡張機能もインストールしている場合は、「az extension remove--namebotservice」を使用してこれを削除してください。 azbotserviceバージョンの確認AZCLIバージョンを> = 2.0.53にアップグレードする必要があります。最新のAZCLIは https://aka.ms/az-cli-download からインストールできます。

私のバージョン MSBot は4.3.2で、最新バージョンの Azure CLI(2.0.58) を使用しています。

1
femi

既知の問題msbotを使用します。

現在 プルリクエスト 修正する必要があるので、新しいmsbotバージョンに注意してください。

今のところ、AZ CLIv2.0.53からv2.0.57にダウングレードする必要があります。

1